package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 货物对象 WmsGoods
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 货物标识 */
    private String goodsId;

    /** 货物名称 */
    @Excel(name = "货物名称")
    private String goodsName;

    @Excel(name = "商品单位")
    private String goodsUnit;

    @Excel(name = "商品规格")
    private String goodsSpec;



    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName()
    {
        return goodsName;
    }
    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public String getGoodsSpec() {
        return goodsSpec;
    }

    public void setGoodsSpec(String goodsSpec) {
        this.goodsSpec = goodsSpec;
    }


    public String getGoodsUnitContent(){
        return DictUtils.getDictLabel(DictTypeEnums.WMS_GOODS_UNIT.getCode(), goodsUnit);
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("goodsUnit", getGoodsUnit())
            .append("goodsSpec", getGoodsSpec())
            .toString();
    }
}
